pqxx::in_doubt_error Class Reference
Exception classes

"Help, I don't know whether transaction was committed successfully!" More...

`#include <except.hxx>`

Inheritance diagram for pqxx::in_doubt_error:
[legend]

## Public Member Functions

| in_doubt_error (const std::string &)
Public Member Functions inherited from pqxx::failure
| failure (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception () noexcept=0
| Support run-time polymorphism, and keep this class abstract. More...

## Detailed Description

"Help, I don't know whether transaction was committed successfully!"

Exception that might be thrown in rare cases where the connection to the database is lost while finishing a database transaction, and there's no way of telling whether it was actually executed by the backend. In this case the database is left in an indeterminate (but consistent) state, and only manual inspection will tell which is the case.

## Constructor & Destructor Documentation

## in_doubt_error()

pqxx::in_doubt_error::in_doubt_error | ( | const std::string & | whatarg | ) |

explicit

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx